macos – 使用错误的sqlite版本的SVN

当从/usr/local / bin /运行我的svn时,它说:

svn: E200029: Couldn’t perform atomic initialization
svn: E200030: SQLite compiled for 3.7.13, but running with 3.6.12

sqlite3 –version给了我3.7.13

出了什么问题,我该如何解决?
我在Mac OS X上(10.6.8).

// EDIT1:

/usr/local / bin / sqlite3 –version 3.7.13

/usr/bin/sqlite3 –version 3.7.13

// edit2:我通过自制软件安装svn并明确使用/usr/local / bin / svn“修复”了这个问题

让我总结下面答案中的修正和建议:

(请upvote相应的答案)

对于Mac用户:

>(重新)通过自制软件或任何你使用的安装svn(你可能需要brew链接–force sqlite3)

对于Fedora用户:

>尝试yum update sqlite3或yum install sqlite

我遇到了同样的问题,我解决了下载 http://www.sqlite.org/sqlite-amalgamation-3.7.6.3.tar.gz,使用tar / gunzip解压缩归档并将生成的目录中的sqlite3.c复制到$svn-src-folder / sqlite-amalgamation / sqlite3.c中.

运行configure / make / sudo make install,你应该解决.

相关文章
相关标签/搜索